Asset Attachments
4 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List attachments for an item#
GET
/spaces/{spaceId}/lists/items/{itemId}/attachmentsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
spaceIdPflicht | Pfad | any | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/attachments" \
-H "Authorization: Bearer $XISUITE_TOKEN"Upload an attachment#
POST
/spaces/{spaceId}/lists/items/{itemId}/attachmentsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
schemaIdPflicht | Query | string | – |
spaceIdPflicht | Pfad | any | – |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/attachments" \
-H "Authorization: Bearer $XISUITE_TOKEN"Get signed download URL for an attachment#
GET
/spaces/{spaceId}/lists/items/{itemId}/attachments/{attachmentId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
attachmentIdPflicht | Pfad | string | – |
spaceIdPflicht | Pfad | any | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/attachments/{attachmentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"Delete an attachment#
DELETE
/spaces/{spaceId}/lists/items/{itemId}/attachments/{attachmentId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
attachmentIdPflicht | Pfad | string | – |
schemaIdPflicht | Query | string | – |
spaceIdPflicht | Pfad | any | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/attachments/{attachmentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"